Subject: Re: [PATCH 1/3][NETLABEL]: Compilation for CONFIG_AUDIT=n case.

From: Paul Moore <[email-masked]>
Date: Wed, 13 Feb 2008 12:21:16 -0500

On Wednesday 13 February 2008 1:35:44 am David Miller wrote:
> From: Pavel Emelyanov <[email-masked]>
> Date: Thu, 07 Feb 2008 20:20:30 +0300
>
> > The audit_log_start() will expand into an empty do { } while (0)
> > construction and the audit_ctx becomes unused.
> >
> > The solution: push current->audit_context into audit_log_start()
> > directly, since it is not required in any other place in the
> > calling function.
> >
> > Signed-off-by: Pavel Emelyanov <[email-masked]>
>
> Applied.

Sorry I missed these three patches when they were posted because my 
email got screwy and I was dropped from netdev (all of vger.kernel.org 
actually).  I just dug them up in the archives and they looks fine to 
me.  Thanks again Pavel.

(better late than never I suppose, applies to all three patches in the 
patchset)

Acked-by: Paul Moore <[email-masked]>

-- 
paul moore
linux security @ hp